Skip to main content

Create an Attachment

POST 

/v1/attachments

Create an Attachment

Request​

Body

required

Attachment data to be used for creation

    title string

    The title or name of the file.

    file binaryrequired

    The file upload to be stored as an attachment.

Responses​

Success

Schema
    id integer
    title string
    file_type string
    filename string

    This is the uploaded filename.

    file_url string

    The file URL on Storage.

    thumbnail_url string

    Images Only Auto-generated URL that utilizes Cloudinary transformations to give a thumbnail of the image attachment, 150px by 150px dimensions.

    preview_url string

    Images Only Similar to thumbnail URL, but no width specified, only a reduced height to produce a smaller-sized image that can be suitable for previewing the attachment in a modal before the full file is downloaded.

Loading...